Knowledge
Re-process a source
POST
/
v1
/
knowledge-sources
/
{source_id}
/
reparse
Re-process a source
curl --request POST \
--url https://api.sempera.org/v1/knowledge-sources/{source_id}/reparse \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/knowledge-sources/{source_id}/reparse"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/knowledge-sources/{source_id}/reparse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "knowledge_source",
"id": "<string>",
"agent_id": "<string>",
"processing": {
"state": "<string>",
"error": "<string>"
},
"result": {
"ok": true,
"client": "<string>",
"document": {
"id": "<string>",
"filename": "<string>",
"status": "<string>",
"error": "<string>"
}
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
Path Parameters
Query Parameters
⌘I
Re-process a source
curl --request POST \
--url https://api.sempera.org/v1/knowledge-sources/{source_id}/reparse \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/knowledge-sources/{source_id}/reparse"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/knowledge-sources/{source_id}/reparse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "knowledge_source",
"id": "<string>",
"agent_id": "<string>",
"processing": {
"state": "<string>",
"error": "<string>"
},
"result": {
"ok": true,
"client": "<string>",
"document": {
"id": "<string>",
"filename": "<string>",
"status": "<string>",
"error": "<string>"
}
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}